betweenness.centrality.clustering {RBGL} | R Documentation

## Graph clustering based on edge betweenness centrality

### Description

Graph clustering based on edge betweenness centrality

### Usage

    betweenness.centrality.clustering(g, threshold = -1, normalize = T)

### Arguments

`g` | an instance of the `graph` class with `edgemode` “undirected”
`threshold` | threshold to terminate clustering process
`normalize` | boolean, when TRUE, the edge betweenness centrality is scaled by `2/((n-1)(n-2))` where `n` is the number of vertices in `g`; when FALSE, the edge betweenness centrality is the absolute value

### Details

To implement graph clustering based on edge betweenness centrality.

The algorithm is iterative, at each step it computes the edge betweenness centrality and removes the edge with maximum betweenness centrality when it is above the given `threshold`. When the maximum betweenness centrality falls below the threshold, the algorithm terminates.

See documentation on Clustering algorithms in Boost Graph Library for details.

### Value

A list of

`no.of.edges` | number of remaining edges after removal
`edges` | remaining edges
`edge.betweenness.centrality` | betweenness centrality of remaining edges

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

`brandes.betweenness.centrality`

### Examples

    coex <- fromGXL(file(system.file("XML/conn.gxl",package="RBGL"), open="r"))
    coex <- ugraph(coex)
    betweenness.centrality.clustering(coex, 0.1, TRUE)

[Package RBGL version 1.10.0 Index]